Bug 175992 - [maintainer update] benchmarks/sipp: update to 3.3
Summary: [maintainer update] benchmarks/sipp: update to 3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 20:40 UTC by Artem Naluzhny
Modified: 2013-02-10 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (5.32 KB, patch)
2013-02-09 20:40 UTC, Artem Naluzhny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Artem Naluzhny 2013-02-09 20:40:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-02-10 07:58:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2013-02-10 07:58:39 UTC
Author: miwi
Date: Sun Feb 10 07:58:28 2013
New Revision: 312004
URL: http://svnweb.freebsd.org/changeset/ports/312004

Log:
  - Update to 3.3
  
  PR:		175992
  Submitted by:	Artem Naluzhnyy <tut@nhamon.com.ua> (maintainer)

Added:
  head/benchmarks/sipp/files/patch-sipp.cpp   (contents, props changed)
Modified:
  head/benchmarks/sipp/Makefile   (contents, props changed)
  head/benchmarks/sipp/distinfo   (contents, props changed)
  head/benchmarks/sipp/files/patch-Makefile   (contents, props changed)

Modified: head/benchmarks/sipp/Makefile
==============================================================================
--- head/benchmarks/sipp/Makefile	Sun Feb 10 07:57:39 2013	(r312003)
+++ head/benchmarks/sipp/Makefile	Sun Feb 10 07:58:28 2013	(r312004)
@@ -6,14 +6,14 @@
 #
 
 PORTNAME=	sipp
-PORTVERSION=	3.1.20090729
-PORTREVISION=	1
+PORTVERSION=	3.3
 CATEGORIES=	benchmarks net
-MASTER_SITES=	http://sipp.sourceforge.net/snapshots/
-DISTNAME=	${PORTNAME}.2009-07-29
+MASTER_SITES=	SF
+MASTER_SITE_SUBDIR=	sipp/sipp/${PORTVERSION}
+DISTNAME=	${PORTNAME}-3.3beta2
 
 MAINTAINER=	tut@nhamon.com.ua
-COMMENT=	SIP testing tool
+COMMENT=	SIP benchmarking and testing tool
 
 LICENSE=	GPLv2
 
@@ -24,7 +24,7 @@ USE_GMAKE=	yes
 CPP=		${CXX}
 MAKE_ENV+=	CCLINK="${CXX}"
 CPPFLAGS+=	${CXXFLAGS}
-WRKSRC=		${WRKDIR}/sipp.svn
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 OPTIONS=	OPENSSL		"OpenSSL support (for digest auth and SIP over TLS)" on \
 		GSL		"GSL support (for statistical distributed pauses)" off \
@@ -41,10 +41,11 @@ MAKE_ENV+=	EXTRACPPFLAGS=-DHAVE_GSL \
 .endif #defined(WITH_GSL)
 
 .if defined(WITH_PCAPPLAY)
-PCAP_FILES=	dtmf_2833_1.pcap dtmf_2833_2.pcap dtmf_2833_3.pcap \
-		dtmf_2833_4.pcap dtmf_2833_5.pcap dtmf_2833_6.pcap \
-		dtmf_2833_7.pcap dtmf_2833_8.pcap dtmf_2833_9.pcap \
-		dtmf_2833_pound.pcap dtmf_2833_star.pcap g711a.pcap
+PCAP_FILES=	dtmf_2833_0.pcap dtmf_2833_1.pcap dtmf_2833_2.pcap \
+		dtmf_2833_3.pcap dtmf_2833_4.pcap dtmf_2833_5.pcap \
+		dtmf_2833_6.pcap dtmf_2833_7.pcap dtmf_2833_8.pcap \
+		dtmf_2833_9.pcap dtmf_2833_pound.pcap dtmf_2833_star.pcap \
+		g711a.pcap
 
 PLIST_DIRS=	%%DATADIR%%/pcap \
 		%%DATADIR%%

Modified: head/benchmarks/sipp/distinfo
==============================================================================
--- head/benchmarks/sipp/distinfo	Sun Feb 10 07:57:39 2013	(r312003)
+++ head/benchmarks/sipp/distinfo	Sun Feb 10 07:58:28 2013	(r312004)
@@ -1,2 +1,2 @@
-SHA256 (sipp.2009-07-29.tar.gz) = 25624e6c3108df0acb8aaaed1cf36696721cd4017ce97cc678857a7e47d41822
-SIZE (sipp.2009-07-29.tar.gz) = 225486
+SHA256 (sipp-3.3beta2.tar.gz) = 998fbffa84107a6c7113dc1f801c449648f415fabb3fb3cf0f6620afeef6dd9a
+SIZE (sipp-3.3beta2.tar.gz) = 240886

Modified: head/benchmarks/sipp/files/patch-Makefile
==============================================================================
--- head/benchmarks/sipp/files/patch-Makefile	Sun Feb 10 07:57:39 2013	(r312003)
+++ head/benchmarks/sipp/files/patch-Makefile	Sun Feb 10 07:58:28 2013	(r312004)
@@ -1,5 +1,5 @@
---- Makefile.orig	2008-04-11 15:26:37.000000000 +0300
-+++ Makefile	2008-05-06 20:11:59.000000000 +0300
+--- Makefile.orig	2013-01-10 22:58:10.000000000 +0000
++++ Makefile	2013-02-09 19:53:19.000000000 +0000
 @@ -18,10 +18,6 @@
  #           From Hewlett Packard Company.
  #
@@ -11,7 +11,7 @@
  # Output binary to be built
  OUTPUT=sipp
  
-@@ -71,7 +67,7 @@
+@@ -73,7 +69,7 @@
  CC_SunOS=gcc
  CC_Cygwin=cc  
  CC_Darwin=cc  
@@ -20,7 +20,7 @@
  
  # C++ compiler mapping
  CPP_hpux=aCC  
-@@ -81,7 +77,7 @@
+@@ -83,7 +79,7 @@
  CPP_SunOS=g++
  CPP_Cygwin=g++  
  CPP_Darwin=g++  
@@ -29,25 +29,25 @@
  
  #Model specific flags
  MFLAGS_ia64=+DD64
-@@ -104,7 +100,7 @@
+@@ -106,7 +102,7 @@
  CFLAGS_SunOS=${DEBUG_FLAGS} -D__SUNOS
  CFLAGS_Cygwin=-D__CYGWIN -Dsocklen_t=int
  CFLAGS_Darwin=-D__DARWIN
--CFLAGS=$(CFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(PCAPPLAY) $(EXTRACFLAGS)
-+CFLAGS+=$(CFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(PCAPPLAY) $(EXTRACFLAGS)
+-CFLAGS=$(CFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACFLAGS) $(UNITTEST)
++CFLAGS+=$(CFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACFLAGS) $(UNITTEST)
  
  #C++ Compiler Flags
  CPPFLAGS_hpux=-AA -mt -D__HPUX -D_INCLUDE_LONGLONG -DNOMACROS +W829  
-@@ -114,7 +110,7 @@
+@@ -116,7 +112,7 @@
  CPPFLAGS_SunOS=${DEBUG_FLAGS} -D__SUNOS
  CPPFLAGS_Cygwin=-D__CYGWIN -Dsocklen_t=int
  CPPFLAGS_Darwin=-D__DARWIN
--CPPFLAGS=$(CPPFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(PCAPPLAY) $(EXTRACPPFLAGS)
-+CPPFLAGS+=$(CPPFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(PCAPPLAY) $(EXTRACPPFLAGS)
+-CPPFLAGS=$(CPPFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACPPFLAGS) $(UNITTEST)
++CPPFLAGS+=$(CPPFLAGS_$(SYSTEM)) $(VERINFO) $(TLS) $(SCTP) $(PCAPPLAY) $(EXTRACPPFLAGS) $(UNITTEST)
  
  #Linker mapping
  CCLINK_hpux=aCC
-@@ -124,7 +120,7 @@
+@@ -126,7 +122,7 @@
  CCLINK_SunOS=gcc
  CCLINK_Cygwin=g++
  CCLINK_Darwin=g++
@@ -56,12 +56,12 @@
  
  #Linker Flags
  LFLAGS_hpux=-AA -mt
-@@ -156,8 +152,6 @@
+@@ -158,8 +154,6 @@
  INCDIR_Darwin=-I. -I/usr/local/ssl/include
  INCDIR=$(INCDIR_$(SYSTEM)) 
  
 --include local.mk
 -
- # Building without TLS and authentication (no openssl pre-requisite)
+ # Building without TLS (no openssl pre-requisite)
  all:
- 	make OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` $(OUTPUT)
+ 	$(MAKE) OSNAME=`uname|sed -e "s/CYGWIN.*/CYGWIN/"` MODELNAME=`uname -m|sed "s/Power Macintosh/ppc/"` $(OUTPUT)

Added: head/benchmarks/sipp/files/patch-sipp.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/benchmarks/sipp/files/patch-sipp.cpp	Sun Feb 10 07:58:28 2013	(r312004)
@@ -0,0 +1,22 @@
+--- sipp.cpp.orig	2013-02-09 20:03:03.000000000 +0000
++++ sipp.cpp	2013-02-09 20:10:27.000000000 +0000
+@@ -4622,7 +4622,7 @@
+ 	  }
+ 	  exit(EXIT_OTHER);
+ 	case SIPP_OPTION_VERSION:
+-	  printf("\n SIPp v3.3-beta2"
++	  printf("\n SIPp v3.3"
+ #ifdef _USE_OPENSSL
+ 	      "-TLS"
+ #endif
+@@ -4632,8 +4632,8 @@
+ #ifdef PCAPPLAY
+ 	      "-PCAP"
+ #endif
+-	      ", version %s, built %s, %s.\n\n",
+-	      SIPP_VERSION, __DATE__, __TIME__); 
++	      ", built %s, %s.\n\n",
++	      __DATE__, __TIME__);
+ 
+ 	  printf
+ 	    (" This program is free software; you can redistribute it and/or\n"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"